
Name: 		qpid-java
Version: 	0.7.946106
Release: 	11%{?dist}
Epoch:		0
Summary: 	Java implementation of Apache Qpid
License: 	Apache Software License
Group: 		Development/Java
URL: 		http://incubator.apache.org/qpid
# See fetch-new-tarballs from RHEL-5 dir
Source0: 	%{name}-%{version}.tar.gz
Source1:        gentools-%{version}.tar.gz
Source2:        specs-%{version}.tar.gz
Source3:        python-%{version}.tar.gz
Source4:        qpid-deps-%{version}.tar.gz
Patch0:         mrg_1.3.x.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

BuildRequires:	ant >= 1.6.5
BuildRequires:	ant-nodeps >= 1.6.5
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  ant-trax >= 1.6.5

%description
Java implementation of Apache Qpid.

%package common
Summary:        Java implementation of Apache Qpid - common files
Group:          Development/Java
BuildArch:      noarch
Obsoletes:      qpid-java-qman <= 0.5.751061-9.el4

%description common
Java implementation of Apache Qpid - common files

%package client
Summary:        Java implementation of Apache Qpid - client
Group:          Development/Java
BuildArch:      noarch
Requires:       qpid-java-common = %{version}-%{release}

%description client
Java implementation of Apache Qpid - client

%package example
Summary:        Java implementation of Apache Qpid - example
Group:          Development/Java
BuildArch:      noarch
Requires:       qpid-java-client = %{version}-%{release}

%description example
Java implementation of Apache Qpid - example

%prep
%setup -q -T -b 1 -n gentools
%setup -q -T -b 2 -n specs
%setup -q -T -b 3 -n python
%setup -q -T -b 4 -n qpid-deps
%setup -q
%patch0 -p3

%build
ant -Dmodules="junit-toolkit common client"

BLACKLIST="qpid-junit-toolkit geronimo-jms junit backport-util-concurrent mina slf4j qpid-client-tests qpid-all qpid-common-tests log4j"

for jar in $BLACKLIST; do rm build/lib/${jar}*.jar; done

# build deps from source
cd ../qpid-deps
ant -Dqpid-src-dir=../%{name}-%{version}

%install
rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}
#rm build/lib/qpid-junit-toolkit*.jar
install -p -m 755 build/lib/qpid-client*.jar %{buildroot}%{_javadir}
install -p -m 755 build/lib/qpid-common*.jar %{buildroot}%{_javadir}

# additional dependencies
install -d -m 755 %{buildroot}%{_javadir}/qpid-deps
install -p -m 755 $(find build/lib/ -name '*.jar' \
  ! -name 'qpid-client*.jar' ! -name 'qpid-common*.jar') %{buildroot}%{_javadir}/qpid-deps

# examples
install -d -m 755 %{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -p -m 755 client/example/src/main/java/org/apache/qpid/example/*.java %{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -p -m 755 client/example/src/main/java/org/apache/qpid/example/hello.properties %{buildroot}%{_docdir}/%{name}-%{version}/examples/org/apache/qpid/example/
install -p -m 755 client/example/example.log4j %{buildroot}%{_docdir}/%{name}-%{version}/examples/

# bin
install -p -m 755 client/example/bin/run_example.sh %{buildroot}%{_docdir}/%{name}-%{version}/examples/


%clean
rm -rf %{buildroot}

%files common
%defattr(-,root,root,-)
%{_javadir}/qpid-deps/
%{_javadir}/qpid-common-*.jar
#%{_javadir}/qpid-all.jar
%doc resources/LICENSE resources/NOTICE


%files client
%defattr(-,root,root,-)
%{_javadir}/qpid-client-*.jar

%files example
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/examples/


%changelog
* Tue Oct 12 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-11
- Added "Obsoletes: qpid-java-qman <= 0.5.751061-9.el4" to the spec file.

* Wed Sep 22 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-10
- Applied patches for BZ 634794, 636097, 633969.

* Tue Sep 14 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-9
- Applied patches for BZ 626859

* Tue Aug 31 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-8
- Applied patches for BZ 620808, 621395, 622619.

* Thu Jul 29 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-7
- Applied patches for BZ 616457, 614580, 618865, 618822, 614589, 513426, 619242.

* Wed Jun 30 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-5
- Patches are now generated from git.
- Added a fix for bz608052.
- Configured the javac target to 1.5 for dependencies.

* Tue Jun 15 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-4
- For dependencies that are not available as rpms, they are now built from source.
- For commons lang, the required classes are now added as a patch, removing the required dependency.

* Mon May 24 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-3
- Fixed an error in the run_example script
- Added LICENSE and NOTICE to common rpm

* Mon May 24 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-2
- Added Drain and Spout examples
- Removed dependency from sl4j rpm, instead using the jar in qpid-deps

* Thu May 20 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.946106-1
- Updated to rev 946106 of Qpid trunk

* Thu Apr 15 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.934605-1
- Updated to rev 934605 of Qpid trunk

* Tue Mar 2 2010 Rajith Attapattu <rattapat@redhat.com> - 0:0.7.918215-1
- Updated to rev 918215 of Qpid trunk

* Fri Oct 9 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-9
- Removing patch attached to bz494630
- Applying patch attached to bz493559
- Applying patch attached to bz509395

* Tue Jun 25 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-8
- Applying patch attached to bz506739
- Applying patch attached to bz507369

* Mon Jun  8 2009 Rafael Schloming <rafaels@redhat.com> - 0:0.5.751061-7
- Applying the heartbeat echo patch from bz504590

* Thu Jun 04 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-6
- Applying the modified patch attached to bz503539

* Wed Jun 03 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-5
- Applying patch attached to bz503526
- Applying patch attached to bz503539

* Tue Jun 02 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-4
- Fixed an error in the spec file to apply all patches correctly

* Wed May 20 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-3
- Applying patch attached to bz500146
- Applying patch attached to bz501552

* Tue Apr 14 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-2
- Going back to revision 751061 of Qpid trunk
- Applying patch attached to bz494630

* Fri Mar 27 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.758820-1
- Updated to revision 758820 of the Qpid trunk

* Thu Mar 12 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.5.751061-1
- Updated to revision 751061 of the Qpid trunk

* Wed Mar 04 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.750205-1
- Updated to revision 750205 of the Qpid trunk

* Fri Feb 13 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.743367-1
- Updated to revision 743367 of the Qpid trunk

* Mon Feb 09 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.742278-1
- Updated to revision 742278 of the Qpid trunk

* Wed Jan 28 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.4.738568-1
- Updated to revision 738568 of the Qpid trunk
- Removed thread patch as it's comitted to trunk

* Mon Jan 12 2009 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.733043-1
- Updated to revision 733043 of the Qpid M4-RCs branch

* Tue Dec 09 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.724504-1
- Updated to revision 724504 of the qpid trunk, added the Qman package 
  and applied the thread abstraction patch

* Mon Nov 10 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.3.712662-1
- Updated to revision 712662 of the qpid trunk

* Fri Oct 31 2008 Nuno Santos <nsantos@redhat.com> - 0:0.3.709187-1
- Rebased to svn rev 709187

* Mon Oct 27 2008 Rajith Attapattu <rattapat@redhat.com> - 0:0.2.708221-1
- Updated to source revision 708221 of the qpid trunk

* Mon Aug 26 2008 Justin Ross <jross@redhat.com> - 0:0.2.687156-1
- Updated to source revision 687156 of the qpid.0-10 branch

* Mon Jun 16 2008 Justin Ross <jross@redhat.com> - 0:0.2.668333-1
- Updated to source revision 668333

* Fri Jun 13 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.667615-1
- Updated to source revision 667615

* Mon Jun 11 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.666296-2
- Updated common dep and removed package broker

* Mon Jun 10 2008 Justin Ross <jross@redhat.com> - 0:0.2.666296-1
- Updated to source revision 666296

* Mon Jun 9 2008 Arnaud Simon <asimon@redhat.com> - 0:0.2.665769-1
- Updated to source revision 665769

* Mon May 19 2008 Justin Ross <jross@redhat.com> - 0:0.2.656760-2
- Added BuildRequires for java-devel and javacc

* Thu May 15 2008 Justin Ross <jross@redhat.com> - 0:0.2.656760-1
- Updated source tarballs instructions
- Added svn revision number to version
- Updated to source revision 656760

* Tue May 13 2008 Arnaud Simon  <asimon@redhat.com> - 0:0.2-11
- changed version for solving version conflic

* Tue May 13 2008 Arnaud Simon  <asimon@redhat.com> - 0:0.2-10
- changed some default network configuration 

* Tue May 13 2008 Arnaud Simon  <asimon@redhat.com> - 0:0.2-9
- Bumped release for Beta 4

* Fri Feb 15 2008  Rafael Schloming <rafaels@redhat.com> - 0:0.2-9
- fix for deadlock exposed by TCK

* Wed Feb 13 2008  Rafael Schloming <rafaels@redhat.com> - 0:0.2-8
- More bug fixes for Beta 3

* Tue Feb 12 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-7
- Bumped release for Beta 3 bug fixes

* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0:0.2-6
- Bumped release for Beta 3

* Mon Feb 11 2008 Nuno Santos <nsantos@redhat.com> - 0.2-5
- Initial build.

